1. 02 Sep, 2020 1 commit
  2. 01 Sep, 2020 5 commits
  3. 31 Aug, 2020 3 commits
  4. 19 Aug, 2020 4 commits
    • Jonathan Wilkes's avatar
      Merge branch 'fix-bendin' into 'master' · 078f79d7
      Jonathan Wilkes authored
      Improve bendin compatibility with vanilla.
      
      See merge request !489
      078f79d7
    • Albert Gräf's avatar
      Add bendinfix external. · d8836bb2
      Albert Gräf authored
      d8836bb2
    • Albert Gräf's avatar
      Overhaul of bendin/bendout help patches. · 3c7975b9
      Albert Gräf authored
      Correct some errors and add a note about vanilla compatibility options.
      3c7975b9
    • Albert Gräf's avatar
      Improve bendin compatibility with vanilla. · 772072ec
      Albert Gräf authored
      This adds an option to make bendin use the vanilla range of 0..16383 for
      compatibility. As was observed a long time ago, this is at odds with the
      bendout range of -8192..8191, and was thus fixed in pd-l2ork at some
      point. But Miller Puckette has decided that this bug won't *ever* be fixed in
      vanilla, and this is even documented in vanilla's midi-help.pd patch.
      
      This discrepancy breaks a lot of patches involving MIDI, so a compatibility
      option is needed. It's been possible to use -legacy to get vanilla's bendin,
      but it's better not to conflate legacy iemgui positioning issues with the
      bendin implementation. The former won't usually break interoperability, but
      the latter does.
      
      So, as suggested by Ico Bukvic, we add a flag as an optional second argument
      to bendin instead. If present, this option explicitly denotes the target
      range: zero means the default (pd-l2ork, signed) output range, nonzero the
      vanilla-compatible unsigned range. In addition, there's a new -legacy-bendin
      command line option which makes unsigned output the default for bendin objects
      which don't specify the range explicitly. You'll want to put this into your
      startup flags in the preferences if you need out-of-the-box vanilla
      compatibility.
      772072ec
  5. 18 Aug, 2020 1 commit
  6. 16 Aug, 2020 2 commits
  7. 15 Aug, 2020 4 commits
  8. 14 Aug, 2020 1 commit
  9. 12 Aug, 2020 2 commits
  10. 11 Aug, 2020 1 commit
  11. 10 Aug, 2020 2 commits
  12. 08 Aug, 2020 2 commits
  13. 06 Aug, 2020 3 commits
  14. 05 Aug, 2020 3 commits
  15. 04 Aug, 2020 2 commits
  16. 03 Aug, 2020 1 commit
  17. 02 Aug, 2020 2 commits
  18. 01 Aug, 2020 1 commit